{{- if not .Values.ipmiExistingSecret -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "ipmi-sensors.fullname" . }}
  labels:
    {{- include "ipmi-sensors.labels" . | nindent 4 }}
type: Opaque
stringData:
  IPMI_USER: {{ .Values.ipmiUser }}
  IPMI_PASSWORD: {{ .Values.ipmiPassword }}
{{- end -}}
